<template>
	<view>
		<!--#ifdef APP-PLUS-->
		<view class="lz-status_bar">
			<view class="lz-top_view"></view>
		</view>
		<!--#endif-->
		<!-- #ifndef MP-WEIXIN -->
		<view class="kaoshi-head">
			<view class="kaoshi-head-top">
				<view class="kaoshi-head-left" @tap="$navigateBack">
					<view class="iconfont icon-zuojiantou"></view>
				</view>
				<view class="kaoshi-head-m">{{title}}</view>
				<view class="kaoshi-head-right"></view>
			</view>
		</view>
		<!--#endif-->
		<view class="index-tiku notice-detail">
			<view class="notice-detail-content" v-if="id == 1">
				<uParse :content="lianxi" />
			</view>
			<view class="notice-detail-content" v-if="id == 2">
				<uParse :content="about" />
			</view>
		</view>
	</view>
</template>

<script>
	import uParse from '@/components/uParse/gaoyia-parse/parse.vue';
	export default {
		data() {
			return {
				id: '',
				title: '',
				about: '',
				lianxi: '',
			}
		},
		onLoad(opts) {
			if (opts && opts.id) {
				this.id = opts.id
				if (this.id == 1) {
					this.title = '联系客服'
				} else if (this.id == 2) {
					this.title = '关于我们'
				}
			}
			// #ifdef MP-WEIXIN
			wx.showShareMenu({
				withShareTicket: true,
				menus: ["shareAppMessage", "shareTimeline"]
			})
			// #endif
			this.getsettingindex()
		},
		components: {
			uParse
		},
		methods: {
			async getsettingindex() {
				let res = await this.$myHttp.post({
					url: this.$myHttp.urlMap.settingindex,
					needLogin: false
				})
				if (res.code == 1) {
					this.lianxi = res.data[1].value
					this.about = res.data[0].value
				}
			},
		}
	}
</script>

<style>
	page {
		background: #fff;
	}

	.notice-detail-content {
		line-height: 23px;
	}

	.notice-detail {
		width: 92%;
		margin: 12px auto;
		font-size: 16px;
		background: #fff;
	}

	.notice-detail-content image {
		width: 100% !important;
	}
</style>
